Package org.spongepowered.asm.mixin.injection.code

## Enum IInsnListEx.SpecialNodeType

- java.lang.Object
- - java.lang.Enum<IInsnListEx.SpecialNodeType>
  - - org.spongepowered.asm.mixin.injection.code.IInsnListEx.SpecialNodeType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<IInsnListEx.SpecialNodeType>`
  Enclosing interface:
    IInsnListEx

      public static enum IInsnListEx.SpecialNodeType
      extends java.lang.Enum<IInsnListEx.SpecialNodeType>

  Type of special nodes supported by `IInsnListEx.getSpecialNode(org.spongepowered.asm.mixin.injection.code.IInsnListEx.SpecialNodeType)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CTOR_BODY` | The location after field initialisers but before the first constructor body instruction, requires line numbers to be present in the target class
    `DELEGATE_CTOR` | The delegate constructor call in a constructor
    `INITIALISER_INJECTION_POINT` | The location for injected initialisers in a constructor

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static IInsnListEx.SpecialNodeType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static IInsnListEx.SpecialNodeType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DELEGATE_CTOR

          public static final IInsnListEx.SpecialNodeType DELEGATE_CTOR

      The delegate constructor call in a constructor

    - #### INITIALISER_INJECTION_POINT

          public static final IInsnListEx.SpecialNodeType INITIALISER_INJECTION_POINT

      The location for injected initialisers in a constructor

    - #### CTOR_BODY

          public static final IInsnListEx.SpecialNodeType CTOR_BODY

      The location after field initialisers but before the first constructor body instruction, requires line numbers to be present in the target class

  - ### Method Detail

    - #### values

          public static IInsnListEx.SpecialNodeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IInsnListEx.SpecialNodeType c : IInsnListEx.SpecialNodeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IInsnListEx.SpecialNodeType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null